Initiate a payment

Create a new payment from one of your accounts to a beneficiary.

Payment Options: You must specify the payment recipient using one of these options:

  • beneficiaryId: ID of an existing approved beneficiary
  • creditorAccountId: ID of another account you own (for internal transfers)
  • beneficiary: Full beneficiary details for a one-time payment (beneficiary will be created automatically)

Idempotency: Use the externalId field to ensure idempotency. If you submit the same externalId twice, the second request will return the original payment details rather than creating a duplicate.

Currency Matching: The payment currency is always the source account's currency (the account given by accountId). The beneficiary must use the same currency. For cross-currency payments, use the Currency Conversions API.

Body Params
uuid
required

Source account ID for the payment; this account's currency is the payment currency

uuid

ID of an existing approved beneficiary (mutually exclusive with creditorAccountId and beneficiary)

uuid

ID of another account you own for internal transfers (mutually exclusive with beneficiaryId and beneficiary)

beneficiary
object

Inline beneficiary details for one-time payments (mutually exclusive with beneficiaryId and creditorAccountId)

string
required

Payment amount as a string (max 2 decimal places for fiat)

string
required

Payment reference or description

string
required
length ≤ 64

Your unique payment identifier for idempotency (alphanumeric, hyphens, underscores only)

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json